[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#319201: kiax Debian packages

On Mon, Jul 25, 2005 at 10:17:58AM +1000, Mark Purcell wrote:
On Monday 25 July 2005 07:12, Mikael Magnusson wrote:
> kiax contains a local copy of the iaxclient library (which contains local
> copies of libgsm, libspeex and libportaudio). Maybe it's better to use
> the libiaxclient-dev package that I have debianized?


Very keen to use shared libraries where ever possible.

Although a little difficult until your packages are actually within the Debian unstable environment.

Are you packages ready to be uploaded? I would be happy to sponsor the upload, but I don't think they build on a current unstable box, also I think iaxclient has been upgraded upstream from your packages.

Have you sync'ed the latest upstream release?


Actually, I don't build a shared iaxclient library since iaxclient
is under development and the API is still changing to much.
But I'm linking with shared versions of gsm and portaudio (not in
Debian unstable yet).

The portaudio version used is v18.1, which is the stable version and
it's also needed by OpenOffice.org2 (currently in experimental).

I have updated iaxclient from the current CVS and made a new release
(iaxclient_0.0+cvs20050725-1). I had to use the local copy of speex in
iaxclient for this release, since iaxclient currently depends on a patch
that hasn't been applied by upstream yet.

I'm building my packages in a pbuilder chroot running sid, and it seems to work.

I think both my iaxclient and portaudio packages are ready and I would
be glad if you could sponsor. You find my packages on my web server[1] and Debian mentors[2].



Reply to: